//
//  FKFlickrAuthGetToken.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrAuthGetTokenError) {
	FKFlickrAuthGetTokenError_InvalidFrob = 108,		 /* The specified frob does not exist or has already been used. */
	FKFlickrAuthGetTokenError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrAuthGetTokenError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrAuthGetTokenError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrAuthGetTokenError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrAuthGetTokenError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrAuthGetTokenError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrAuthGetTokenError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrAuthGetTokenError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrAuthGetTokenError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrAuthGetTokenError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Returns the auth token for the given frob, if one has been attached. <b>This method call must be signed</b>, and is <b><a href="/services/api/auth.oauth.html">deprecated in favour of OAuth</a></b>.

<p><code>perms</code> can have values of <code>none</code>, <code>read</code>, <code>write</code> or <code>delete</code>. For more information, see the <a href="/services/api/auth.spec.html">Auth API spec</a>.</p>

Response:

<auth>
	<token>976598454353455</token>
	<perms>write</perms>
	<user nsid="12037949754@N01" username="Bees" fullname="Cal H" />
</auth>

*/
@interface FKFlickrAuthGetToken : NSObject <FKFlickrAPIMethod>

/* The frob to check. */
@property (nonatomic, copy) NSString *frob; /* (Required) */


@end
