//
//  FKFlickrPhotosGetExif.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrPhotosGetExifError) {
	FKFlickrPhotosGetExifError_PhotoNotFound = 1,		 /* The photo id was either invalid or was for a photo not viewable by the calling user. */
	FKFlickrPhotosGetExifError_PermissionDenied = 2,		 /* The owner of the photo does not want to share EXIF data. */
	FKFlickrPhotosGetExifError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPhotosGetExifError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPhotosGetExifError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrPhotosGetExifError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPhotosGetExifError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPhotosGetExifError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPhotosGetExifError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPhotosGetExifError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Retrieves a list of EXIF/TIFF/GPS tags for a given photo. The calling user must have permission to view the photo.

<p>The <code>&lt;clean&gt;</code> element contains a pretty-formatted version of the tag where availabale.</p>

Response:

<photo id="4424" secret="06b8e43bc7" server="2">
	<exif tagspace="TIFF" tagspaceid="1" tag="271" label="Manufacturer">
		<raw>Canon</raw>
	</exif>
	<exif tagspace="EXIF" tagspaceid="0" tag="33437" label="Aperture">
		<raw>90/10</raw>
		<clean>f/9</clean>
	</exif>
	<exif tagspace="GPS" tagspaceid="3" tag="4" label="Longitude">
		<raw>64/1, 42/1, 4414/100</raw>
		<clean>64° 42' 44.14"</clean>
	</exif>
</photo>


*/
@interface FKFlickrPhotosGetExif : NSObject <FKFlickrAPIMethod>

/* The id of the photo to fetch information for. */
@property (nonatomic, copy) NSString *photo_id; /* (Required) */

/* The secret for the photo. If the correct secret is passed then permissions checking is skipped. This enables the 'sharing' of individual photos by passing around the id and secret. */
@property (nonatomic, copy) NSString *secret;


@end
