//
//  FKFlickrPlacesGetTopPlacesList.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrPlacesGetTopPlacesListError) {
	FKFlickrPlacesGetTopPlacesListError_RequiredParameterMissing = 1,		 /* One or more required parameters with missing from your request. */
	FKFlickrPlacesGetTopPlacesListError_NotAValidPlaceType = 2,		 /* An unknown or unsupported place type ID was passed with your request. */
	FKFlickrPlacesGetTopPlacesListError_NotAValidDate = 3,		 /* The date argument passed with your request is invalid. */
	FKFlickrPlacesGetTopPlacesListError_NotAValidPlaceID = 4,		 /* An invalid Places (or WOE) identifier was included with your request. */
	FKFlickrPlacesGetTopPlacesListError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrPlacesGetTopPlacesListError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrPlacesGetTopPlacesListError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrPlacesGetTopPlacesListError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrPlacesGetTopPlacesListError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrPlacesGetTopPlacesListError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrPlacesGetTopPlacesListError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrPlacesGetTopPlacesListError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Return the top 100 most geotagged places for a day.


Response:

<places total="100" date_start="1246320000" date_stop="1246406399">
   <place place_id="4KO02SibApitvSBieQ" woeid="23424977"
       latitude="48.890" longitude="-116.982" 
       place_url="/United+States" place_type="country" 
       place_type_id="12" photo_count="23371">United States</place>
   <!-- and so on... -->
</places>

*/
@interface FKFlickrPlacesGetTopPlacesList : NSObject <FKFlickrAPIMethod>

/* The numeric ID for a specific place type to cluster photos by. <br /><br />

Valid place type IDs are :

<ul>
<li><strong>22</strong>: neighbourhood</li>
<li><strong>7</strong>: locality</li>
<li><strong>8</strong>: region</li>
<li><strong>12</strong>: country</li>
<li><strong>29</strong>: continent</li>
</ul> */
@property (nonatomic, copy) NSString *place_type_id; /* (Required) */

/* A valid date in YYYY-MM-DD format. The default is yesterday. */
@property (nonatomic, copy) NSString *date;

/* Limit your query to only those top places belonging to a specific Where on Earth (WOE) identifier. */
@property (nonatomic, copy) NSString *woe_id;

/* Limit your query to only those top places belonging to a specific Flickr Places identifier. */
@property (nonatomic, copy) NSString *place_id;


@end
