//
//  FKFlickrStatsGetPhotoStats.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrStatsGetPhotoStatsError) {
	FKFlickrStatsGetPhotoStatsError_UserDoesNotHaveStats = 1,		 /* The user you have requested stats has not enabled stats on their account. */
	FKFlickrStatsGetPhotoStatsError_NoStatsForThatDate = 2,		 /* No stats are available for the date requested. Flickr only keeps stats data for the last 28 days. */
	FKFlickrStatsGetPhotoStatsError_InvalidDate = 3,		 /* The date provided could not be parsed */
	FKFlickrStatsGetPhotoStatsError_PhotoNotFound = 4,		 /* The photo id was either invalid or was for a photo not owned by the calling user. */
	FKFlickrStatsGetPhotoStatsError_SSLIsRequired = 95,		 /* SSL is required to access the Flickr API. */
	FKFlickrStatsGetPhotoStatsError_InvalidSignature = 96,		 /* The passed signature was invalid. */
	FKFlickrStatsGetPhotoStatsError_MissingSignature = 97,		 /* The call required signing but no signature was sent. */
	FKFlickrStatsGetPhotoStatsError_LoginFailedOrInvalidAuthToken = 98,		 /* The login details or auth token passed were invalid. */
	FKFlickrStatsGetPhotoStatsError_UserNotLoggedInOrInsufficientPermissions = 99,		 /* The method requires user authentication but the user was not logged in, or the authenticated method call did not have the required permissions. */
	FKFlickrStatsGetPhotoStatsError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrStatsGetPhotoStatsError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrStatsGetPhotoStatsError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrStatsGetPhotoStatsError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrStatsGetPhotoStatsError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrStatsGetPhotoStatsError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrStatsGetPhotoStatsError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrStatsGetPhotoStatsError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Get the number of views, comments and favorites on a photo for a given date.


Response:

<stats views="24" comments="4" favorites="1"/>

*/
@interface FKFlickrStatsGetPhotoStats : NSObject <FKFlickrAPIMethod>

/* Stats will be returned for this date. This should be in either be in YYYY-MM-DD or unix timestamp format.

A day according to Flickr Stats starts at midnight GMT for all users, and timestamps will automatically be rounded down to the start of the day. */
@property (nonatomic, copy) NSString *date; /* (Required) */

/* The id of the photo to get stats for. */
@property (nonatomic, copy) NSString *photo_id; /* (Required) */


@end
