//
//  FKFlickrTagsGetListUserPopular.h
//  FlickrKit
//
//  Generated by FKAPIBuilder.
//  Copyright (c) 2013 DevedUp Ltd. All rights reserved. http://www.devedup.com
//
//  DO NOT MODIFY THIS FILE - IT IS MACHINE GENERATED


#import "FKFlickrAPIMethod.h"

typedef NS_ENUM(NSInteger, FKFlickrTagsGetListUserPopularError) {
	FKFlickrTagsGetListUserPopularError_UserNotFound = 1,		 /* The user NSID passed was not a valid user NSID and the calling user was not logged in.
 */
	FKFlickrTagsGetListUserPopularError_InvalidAPIKey = 100,		 /* The API key passed was not valid or has expired. */
	FKFlickrTagsGetListUserPopularError_ServiceCurrentlyUnavailable = 105,		 /* The requested service is temporarily unavailable. */
	FKFlickrTagsGetListUserPopularError_WriteOperationFailed = 106,		 /* The requested operation failed due to a temporary issue. */
	FKFlickrTagsGetListUserPopularError_FormatXXXNotFound = 111,		 /* The requested response format was not found. */
	FKFlickrTagsGetListUserPopularError_MethodXXXNotFound = 112,		 /* The requested method was not found. */
	FKFlickrTagsGetListUserPopularError_InvalidSOAPEnvelope = 114,		 /* The SOAP envelope send in the request could not be parsed. */
	FKFlickrTagsGetListUserPopularError_InvalidXMLRPCMethodCall = 115,		 /* The XML-RPC request document could not be parsed. */
	FKFlickrTagsGetListUserPopularError_BadURLFound = 116,		 /* One or more arguments contained a URL that has been used for abuse on Flickr. */

};

/*

Get the popular tags for a given user (or the currently logged in user).


Response:

<who id="12037949754@N01">
	<tags>
		<tag count="10">bar</tag> 
		<tag count="11">foo</tag> 
		<tag count="147">gull</tag> 
		<tag count="3">tags</tag> 
		<tag count="3">test</tag> 
	</tags>
</who>

*/
@interface FKFlickrTagsGetListUserPopular : NSObject <FKFlickrAPIMethod>

/* The NSID of the user to fetch the tag list for. If this argument is not specified, the currently logged in user (if any) is assumed. */
@property (nonatomic, copy) NSString *user_id;

/* Number of popular tags to return. defaults to 10 when this argument is not present. */
@property (nonatomic, copy) NSString *count;


@end
